Discussion how's your experience with SX OS 2.0 with system version 6.0?

Discussion in 'Switch - Exploits, Custom Firmwares & Soft Mods' started by daijobu, Sep 26, 2018.

  1. daijobu
    OP

    daijobu Advanced Member

    Newcomer
    2
    May 17, 2018
    Canada
    Hi guys! I stayed in 1.6, with system at 5.3, because I find the version to be pretty stable. But I've been getting a really frequent freezing issue with one particular XCI game under TV mode and I'm wondering if I should update to see if the problem would be solved. I read a post saying that several games he played now freezes from time to time under 2.0. Has anyone else experienced this or other similar issues with SX OS 2.0 under 6.0? Thanks for sharing your inputs.
     
  2. jslay

    jslay Member

    Newcomer
    1
    Sep 20, 2018
    United States
    Been just fine. No issues with EmuNAND. Keep all my legit stuff in OFW, all the rest in EmuNAND, and have received no bans or had any real issues at all. Was playing a legitimately purchased copy of Rocket League in OFW every few nights for a couple hours.

    I also havent had any freezing issues under CFW while playing games, granted I don't play with it docked.
     
    Last edited by jslay, Sep 26, 2018
  3. HOv

    HOv Advanced Member

    Newcomer
    2
    Aug 30, 2018
    United States
    I heard some games stopped working on it? Is this true? I'm on sx os 2.0 but I'm still on 5.1. Not sure if I should update to 6.0
     
  4. jslay

    jslay Member

    Newcomer
    1
    Sep 20, 2018
    United States
    What games? I can do a test for you if you'd like.
     
  5. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    You shouldn't YET. SX OS 2.0 doesn't jive well with OFW 6.0 yet, lots of issues for most people
     
    daijobu and mmajunkie77 like this.
  6. HOv

    HOv Advanced Member

    Newcomer
    2
    Aug 30, 2018
    United States
    I heard doom, the messenger, Xenoblade.
    Can you also test NBA 2k19? That one stopped working for me, but I'm on 5.1 firmware with the sx os 2.0
     
  7. jslay

    jslay Member

    Newcomer
    1
    Sep 20, 2018
    United States
    I guess I don't fall in most. But I haven't done anything special or different to get a smooth stable system.

    Heck, even was playing pSNES super mario world most of last night.

    — Posts automatically merged - Please don't double post! —

    I can test these later tonight when I get home.
     
  8. Ashura66

    Ashura66 GBAtemp Advanced Maniac

    Member
    6
    Feb 1, 2016
    Portugal
    Under my bed
    Yeah see that's what i find the strangest thing, this isn't an issue that has been affecting EVERYONE
     
  9. Krazyeye

    Krazyeye Just Keep On Keepin' On!

    Member
    4
    Aug 5, 2017
    Korea, South
    WOLFPACK
    Question: I have a brand new in box (hackable lower than XAW10078XX) and have all the right tools (SX PRO) to get the ball rolling. Switch came with original FW4.1 stocked. Should I update my "virgin" Switch to the latest FW6.0 (officially) then use it with SX OS 2.0 to move forward? I know some people are having issues with certain games not booting up. Any suggestions on how I should tackle this? Much thanks in advance!
     
  10. phillyrider807

    phillyrider807 GBAtemp Regular

    Member
    4
    May 2, 2009
    United States
    This is what i like to hear. Gonna keep tabs on this as my plan is to purchase SX os a couple weeks before smash bros comes out. Smash bros is the only game i want to play online so if i can do all my cfw needs within emunand and use my legit stuff with OFW then thats the dream. I already have a clean nand backup. Lets hope u stay unbanned until then!! lol.
     
  11. HOv

    HOv Advanced Member

    Newcomer
    2
    Aug 30, 2018
    United States
    Can anyone confirm if retronx 0.9.8 (the NSP one) work on sx os 2.0 on firmware 6.0?
     
  12. Unleanone999

    Unleanone999 GBAtemp Fan

    Member
    4
    May 15, 2018
    Togo
    I'm on fw 6.0 and using sx os 2.0 on it, It's still a bit on the buggy side and would even freeze your switch from time to time. I went back to the more stable 1.9 ver and never had any more issues with my switch.
     
    daijobu likes this.
  13. HOv

    HOv Advanced Member

    Newcomer
    2
    Aug 30, 2018
    United States
    Are you using the nsp version of retronx on sx os 1.9, and it works?
     
  14. thaikhoa

    thaikhoa GBAtemp Advanced Maniac

    Member
    8
    Sep 16, 2008
    I'm on SX 2.0 Emu with unlinked Sys. No issue so far on the OS itself. Some known games are having issue with layeredfs (atmosphere, rei, raj as well). For me Okami HD wont create savedata on the first place (existed savedata works). Game update for Messenger will fix the issue. Anyway just don't play games having layeredfs's bug.
     
    daijobu likes this.
  15. HOv

    HOv Advanced Member

    Newcomer
    2
    Aug 30, 2018
    United States
    Gonna hold out on updating to firmware 6.0.. I'll wait until TX updates their sx os. From what I gathered, sx os 2.0 is buggy on 6.0 firmware.
     
    daijobu likes this.
  16. jnkkkk

    jnkkkk Newbie

    Newcomer
    1
    Sep 23, 2018
    Philippines
    Confirming here.. NBA 2K19 is not working on SX OS v2.0 with OFW 6.0
     
    daijobu likes this.
  17. stewacide

    stewacide GBAtemp Regular

    Member
    3
    Jun 22, 2018
    Canada
    Tried emunand but it kept crashing so I went back to 1.9. Will try 2.1 when it's out.
     
    halvfast likes this.
  18. halvfast

    halvfast Newbie

    Newcomer
    3
    Jul 5, 2018
    Finland
    I have same problems with or without emunand. Went back to 1.9 and left emunand partition to wait next version. I alsio found out that there are memory leaks (?) with some games like Worms or Banner Saga. System crash after sleeping when I try to continue gaming.
     
  19. Unleanone999

    Unleanone999 GBAtemp Fan

    Member
    4
    May 15, 2018
    Togo
    Sucks because I was enjoying installing themes and customizing my switch on sx os 2.0 but forced to downgrade back to 1.9 because some of the games became unstable.
     
  20. der:Tom

    der:Tom GBAtemp Regular

    Member
    3
    Oct 3, 2008
    Austria
    My experiences so far:

    - Emunand on 5.1 and original nand on 6.0 doesn´t work (sleep mode crash), seems to be a fuse problem, both nands on 6.0 should work.

    - Games i tried so far all work on 2.0&6.0, haven´t tried one of the mentioned ones above.

    - Custom NSPs work with 2.0 (not with 1.9)

    - Layered FS works with 2.0&6.0 (NES rom and cleaning mods work), also Themes work on 2.0&6.0 if you use the whole qlaunch6 and not just the common.szs

    - Layered FS doesn´t work with 1.9&2.0 (ovious, they stated this in the notes)
     
    daijobu and thaikhoa like this.
Loading...